#pragma once
#include "Define.h"
#include "BaseModule.h"

class oneitem : public DataConsumer
{
public:
    oneitem();

private:
    DataConsumer*   m_pDataConsumer;
    BaseModule*     m_pModule;

public:
    virtual void OnData(std::string name,QVariant val);
    virtual void OnSubData(std::string name,std::string val);
    virtual void regConsumer(DataConsumer* pDC);
    void createmodule(const ModuleInfo& di);
};
